package com.gic.cloud.data.hook.api.dto;

import java.io.Serializable;
import java.util.Date;

/** 下载日志
 * @author Sam
 */
public class DownloadRecord implements Serializable {

	private static final long serialVersionUID = -8380833222540400780L;

	/** 日志编号 */
	protected String id = "";

	/** 日志编号
	 * @return
	 */
	public String getId() {
		return id;
	}

	/** 日志编号
	 * @param id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/** 关联的下载任务编号 */
	protected String taskId = "";

	/** 关联的下载任务编号
	 * @return
	 */
	public String getTaskId() {
		return taskId;
	}

	/** 关联的下载任务编号
	 * @param taskId
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/** 下载时间 */
	protected Date downloadTime = new Date();

	/** 下载时间
	 * @return
	 */
	public Date getDownloadTime() {
		return downloadTime;
	}

	/** 下载时间
	 * @param downloadTime
	 */
	public void setDownloadTime(Date downloadTime) {
		this.downloadTime = downloadTime;
	}

	/** 用户编号 */
	protected String userId = "";

	/** 用户编号
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	/** 用户编号
	 * @param userId
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/** 企业编号 */
	protected String enterpriseId = "";

	/** 企业编号
	 * @return
	 */
	public String getEnterpriseId() {
		return enterpriseId;
	}

	/** 企业编号
	 * @param enterpriseId
	 */
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	/** 下载用户名称 */
	protected String userName = "";

	/** 下载用户名称
	 * @return
	 */
	public String getUserName() {
		return userName;
	}

	/** 下载用户名称
	 * @param userName
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}


	// 关联查询部分

	/** 下载任务名称 */
	protected String taskName = "";

	/** 下载任务名称
	 * @return
	 */
	public String getTaskName() {
		return taskName;
	}

	/** 下载任务名称
	 * @param taskName
	 */
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	/** 所属数据模块名称 */
	protected String moduleName = "";

	/** 所属数据模块名称
	 * @return
	 */
	public String getModuleName() {
		return moduleName;
	}

	/** 所属数据模块名称
	 * @param moduleName
	 */
	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	/** 数据量大小 */
	protected Integer amount = 0;

	/** 数据量大小
	 * @return
	 */
	public Integer getAmount() {
		return amount;
	}

	/** 数据量大小
	 * @param amount
	 */
	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	/** 数据类型 */
	protected Integer queryDataType = QueryDataType.SAFE;

	/** 数据类型
	 * @return
	 */
	public Integer getQueryDataType() {
		return queryDataType;
	}

	/** 数据类型
	 * @param queryDataType
	 */
	public void setQueryDataType(Integer queryDataType) {
		this.queryDataType = queryDataType;
	}

	/** 关联查询语句 */
	protected String realSql = "";

	/** 关联查询语句
	 * @return
	 */
	public String getRealSql() {
		return realSql;
	}

	/** 关联查询语句
	 * @param realSql
	 */
	public void setRealSql(String realSql) {
		this.realSql = realSql;
	}

	/** 数据报告编号 */
	protected String reportId = "";

	/** 数据报告编号
	 * @return
	 */
	public String getReportId() {
		return reportId;
	}

	/** 数据报告编号
	 * @param reportId
	 */
	public void setReportId(String reportId) {
		this.reportId = reportId;
	}

	protected Integer desensiType;

	public Integer getDesensiType() {
		return desensiType;
	}

	public void setDesensiType(Integer desensiType) {
		this.desensiType = desensiType;
	}

	private String downloadCondition;

	public String getDownloadCondition() {
		return downloadCondition;
	}

	public void setDownloadCondition(String downloadCondition) {
		this.downloadCondition = downloadCondition;
	}

	private String applyPermitted;

	public String getApplyPermitted() {
		return applyPermitted;
	}

	public void setApplyPermitted(String applyPermitted) {
		this.applyPermitted = applyPermitted;
	}

	private Integer applyStatus = 0;

	public Integer getApplyStatus() {
		return applyStatus;
	}

	public void setApplyStatus(Integer applyStatus) {
		this.applyStatus = applyStatus;
	}
}
