package com.gic.cloud.data.hook.api.dto;

import com.gic.cloud.data.hook.api.entity.Global;

import java.io.Serializable;

/** 自助查询收藏 DTO
 * @author Sam
 */
public class FlatQueryFavo implements Serializable {

	private static final long serialVersionUID = 9117132221226221122L;

	/** 主键（用户编号-表编号） */
	protected String id = "";

	/** 主键（用户编号-表编号）
	 * @return
	 */
	public String getId() {
		return id;
	}

	/** 主键（用户编号-表编号）
	 * @param id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/** 用户主键 */
	protected String userId = "";

	/** 用户主键
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	/** 用户主键
	 * @param userId
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/** 收藏的自助查询表编号 */
	protected String tabId = "";

	/** 收藏的自助查询表编号
	 * @return
	 */
	public String getTabId() {
		return tabId;
	}

	/** 收藏的自助查询表编号
	 * @param tabId
	 */
	public void setTabId(String tabId) {
		this.tabId = tabId;
	}

	/** 是否收藏 */
	protected String isFavo = Global.YES;

	/** 是否收藏
	 * @return
	 */
	public String getIsFavo() {
		return isFavo;
	}

	/** 是否收藏
	 * @param isFavo
	 */
	public void setIsFavo(String isFavo) {
		this.isFavo = isFavo;
	}
}
