package com.gic.cloud.data.hook.api.dto;


import com.google.common.collect.Lists;

import java.util.HashMap;
import java.util.List;

/** 自助指标查询结果
 */
public class FlatQueryResult extends HashMap<String, List<Object>> {

	private static final long serialVersionUID = 2146465963502082038L;

	/** 添加一个维度的数据
	 * @param columnName 指定的列名
	 * @param value 值
	 */
	public void add(String columnName, Object value) {
		if (!this.containsKey(columnName)) {
			List<Object> list = Lists.newArrayList();
			this.put(columnName, list);
		} // IF OVER
		this.get(columnName).add(value);
	}



}
