package com.gic.cloud.data.hook.api.dto;

import com.google.common.collect.Lists;

import java.io.Serializable;
import java.util.List;

/** 自助查询表详细信息
 * @author Sam
 */
public class FlatQueryTableDetail implements Serializable {

	private static final long serialVersionUID = 3883923201879387199L;

	/** 表名编号 */
	protected String tableId = "";

	/** 表名编号
	 * @return
	 */
	public String getTableId() {
		return tableId;
	}

	/** 表名编号
	 * @param tableId
	 */
	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	/** 表名称 */
	protected String tableName = "";

	/** 表名称
	 * @return
	 */
	public String getTableName() {
		return tableName;
	}

	/** 表名称
	 * @param tableName
	 */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	/** 字段定义 */
	protected List<FlatQueryField> fieldDefines = Lists.newArrayList();

	/** 字段定义
	 * @return
	 */
	public List<FlatQueryField> getFieldDefines() {
		return fieldDefines;
	}

	/** 字段定义
	 * @param fieldDefines
	 */
	public void setFieldDefines(List<FlatQueryField> fieldDefines) {
		this.fieldDefines = fieldDefines;
	}

}
