package com.gic.cloud.data.hook.api.dto;

import java.util.ArrayList;

/** 自定义查询结果
 * @author Sam
 */
public class FreeQueryResult extends ArrayList<FreeQueryColumn> {


	private static final long serialVersionUID = 4083824532924731368L;

	/** 添加一个维度的数据
	 * @param columnName 指定的列名
	 * @param value 值
	 */
	public void add(String columnName, Object value) {
		if (this.size() > 0) {
			for (int i=0; i<this.size(); i++) {
				if (this.get(i).getName().equals(columnName)) {
					this.get(i).getDatas().add(value);
					return ;
				}
			} // FOR OVER
		} // IF OVER
		// 如果没有添加到已有数列
		FreeQueryColumn column = new FreeQueryColumn();
		column.setName(columnName);
		column.getDatas().add(value);
		this.add(column);
	}




}
