package com.gic.cloud.data.hook.api.entity;


import com.gic.cloud.data.hook.api.dto.DataDesensiType;
import com.gic.cloud.data.hook.api.dto.QueryDataType;

import java.io.Serializable;

/** 自定义查询条件
 * @author Sam
 */
public class FreeQueryTaskCondition implements Serializable {


	/** 关联的下载任务编号 */
	protected String taskId = "";

	/** 关联的下载任务编号
	 * @return
	 */
	public String getTaskId() {
		return taskId;
	}

	/** 关联的下载任务编号
	 * @param taskId
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/** 关联查询语句 */
	protected String sql = "";

	/** 关联查询语句
	 * @return
	 */
	public String getSql() {
		return sql;
	}

	/** 关联查询语句
	 * @param sql
	 */
	public void setSql(String sql) {
		this.sql = sql;
	}

	/** 关联企业编号 */
	protected String enterpriseId = "";

	/** 关联企业编号
	 * @return
	 */
	public String getEnterpriseId() {
		return enterpriseId;
	}

	/** 关联企业编号
	 * @param enterpriseId
	 */
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	/** 请求数据类型 */
	protected Integer queryDataType = QueryDataType.SAFE;

	/** 请求数据类型
	 * @return
	 */
	public Integer getQueryDataType() {
		return queryDataType;
	}

	/** 请求数据类型
	 * @param queryDataType
	 */
	public void setQueryDataType(Integer queryDataType) {
		this.queryDataType = queryDataType;
	}


	/** 允许构建 */
	protected String buildPermitted = Global.NO;

	/** 允许构建
	 * @return
	 */
	public String getBuildPermitted() {
		return buildPermitted;
	}

	/** 允许构建
	 * @param buildPermitted
	 */
	public void setBuildPermitted(String buildPermitted) {
		this.buildPermitted = buildPermitted;
	}

	/** 脱敏模式 */
	protected Integer desensiType = DataDesensiType.PHONE_ONLY;

	/** 脱敏模式
	 * @return
	 */
	public Integer getDesensiType() {
		return desensiType;
	}

	/** 脱敏模式
	 * @param desensiType
	 */
	public void setDesensiType(Integer desensiType) {
		this.desensiType = desensiType;
	}
}
