package cn.medubi.client.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

/** 日志包
 * @author Sam
 * @version 1.0
 * @since 2016.12.31
 */
public class LogPak {
	
	/** 类名称 */
	private String _className;
	
	/** 毫秒级完整日期格式化类 */
	private static SimpleDateFormat _fullFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSSS");
	
	/** 构造函数
	 * @param refClass 指定适配的类
	 */
	public LogPak(Class<?> refClass) {
		this._className = refClass.getName();
	}
	
	/** DEBUG
	 * @param refFuncName 方法名
	 * @param refCommet 说明
	 */
	public void debug(String refFuncName, String refCommet) {
		System.out.println(_fullFormat.format(new Date()) + " [ " + this._className + " ] [ " + refFuncName + " ]：" + refCommet + "");
	}

	
}
