package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.FlatQueryField;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/** 自助查询字段 DAO
 * @author Sam
 */
@Mapper
public interface FlatQueryFieldDao {

	/** 获取指定表的所有查询字段 */
	public List<FlatQueryField> getFlatQueryFieldByTableId(@Param("tableId") String tableId);

}
