package com.gic.cloud.data.hook.service.impl;

import com.gic.cloud.data.hook.api.dto.DhSearchLogDTO;
import com.gic.cloud.data.hook.api.service.SearchLogService;
import com.gic.cloud.data.hook.service.dao.DhSearchLogMapper;
import com.gic.cloud.data.hook.service.entity.DhSearchLog;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("searchLogService")
public class SearchLogServiceImpl implements SearchLogService {
    @Autowired
    private DhSearchLogMapper dhSearchLogMapper;

    @Override
    public void saveLog(DhSearchLogDTO dhSearchLogDTO) {
        dhSearchLogDTO.setCreateTime(new Date());
        this.dhSearchLogMapper.insert(EntityUtil.changeEntityByJSON(DhSearchLog.class, dhSearchLogDTO));
    }
}
