package com.gic.cloud.data.hook.service.impl;

import com.gic.cloud.data.hook.api.service.TableSyncRecordService;
import com.gic.cloud.data.hook.service.dao.TableSyncRecordDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author zhurz
 */
@Service("tableSyncRecordServiceImpl")
public class TableSyncRecordServiceImpl implements TableSyncRecordService {

    @Autowired
    private TableSyncRecordDao tableSyncRecordDao;

    /**
     * 获取最近一次同步时间
     *
     * @param enterpriseId
     * @param tableName
     * @return
     */
    @Override
    public Date lastSyncDateTime(String enterpriseId, String tableName) {

        return tableSyncRecordDao.lastSyncDateTime(enterpriseId, tableName);
    }

}
