package com.gic.cloud.data.hook.web;

import com.gic.commons.interceptor.RequestLimitInterface;
import com.gic.web.common.utils.SessionContextUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import javax.servlet.http.HttpServletRequest;

public class RequestLimitInterfaceImpl implements RequestLimitInterface {
    private static final Logger log = LogManager.getLogger(RequestLimitInterfaceImpl.class);
    @Override
    public String getEnterpriseId(HttpServletRequest httpServletRequest) {
        log.info("限流企业id：{}", SessionContextUtils.getLoginUserEnterpriseId());
        return SessionContextUtils.getLoginUserEnterpriseId();
    }

    @Override
    public String getUserId(HttpServletRequest httpServletRequest) {
        return SessionContextUtils.getLoginUser().getUserId();
    }
}
