package com.gic.cloud.data.hook.api.dto;

import com.gic.cloud.data.hook.api.entity.FlatQueryFieldType;

import java.io.Serializable;

/** 自助查询字段
 * @author Sam
 */
public class FlatQueryField implements Serializable {

	private static final long serialVersionUID = -6215551280538558401L;

	/** 字段 ID（自增）*/
	protected Integer id = 0;

	/** 字段 ID（自增）
	 * @return
	 */
	public Integer getId() {
		return id;
	}

	/** 字段 ID（自增）
	 * @param id
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/** 表名 */
	protected String tableId = "";

	/** 表名
	 * @return
	 */
	public String getTableId() {
		return tableId;
	}

	/** 表名
	 * @param tableId
	 */
	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	/** 字段标示 */
	protected String fieldMark = "";

	/** 字段标示
	 * @return
	 */
	public String getFieldMark() {
		return fieldMark;
	}

	/** 字段标示
	 * @param fieldMark
	 */
	public void setFieldMark(String fieldMark) {
		this.fieldMark = fieldMark;
	}

	/** 字段名 */
	protected String fieldName = "";

	/** 字段名
	 * @return
	 */
	public String getFieldName() {
		return fieldName;
	}

	/** 字段名
	 * @param fieldName
	 */
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	/** 字段类型 */
	protected String fieldType = FlatQueryFieldType.TEXT;

	/** 字段类型
	 * @return
	 */
	public String getFieldType() {
		return fieldType;
	}

	/** 字段类型
	 * @param fieldType
	 */
	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}

	/** 允许过滤 */
	protected Boolean enableFilter = false;

	/** 允许过滤
	 * @return
	 */
	public Boolean getEnableFilter() {
		return enableFilter;
	}

	/** 允许过滤
	 * @param enableFilter
	 */
	public void setEnableFilter(Boolean enableFilter) {
		this.enableFilter = enableFilter;
	}

	/** 允许排序 */
	protected Boolean enableOrder = false;

	/** 允许排序
	 * @return
	 */
	public Boolean getEnableOrder() {
		return enableOrder;
	}

	/** 允许排序
	 * @param enableOrder
	 */
	public void setEnableOrder(Boolean enableOrder) {
		this.enableOrder = enableOrder;
	}

	/** 是否启用加密 */
	private Boolean enableEncrypt = false;

	/** 是否启用加密
	 * @return
	 */
	public Boolean getEnableEncrypt() {
		return enableEncrypt;
	}

	/** 是否启用加密
	 * @param enableEncrypt
	 */
	public void setEnableEncrypt(Boolean enableEncrypt) {
		this.enableEncrypt = enableEncrypt;
	}
}
