package com.gic.cloud.data.hook.api.dto;

import java.io.Serializable;
import java.util.Date;

/** 安全模式切换日志
 *
 */
public class RiskModeRecord implements Serializable {

	private static final long serialVersionUID = -4592993332454644346L;

	/** 申请编号 */
	protected String applyId = "";

	/** 申请编号 */
	public String getApplyId() {
		return applyId;
	}

	/** 申请编号 */
	public void setApplyId(String applyId) {
		this.applyId = applyId;
	}

	/** 创建时间 */
	protected Date createTime = null;

	/** 创建时间
	 * @return
	 */
	public Date getCreateTime() {
		return createTime;
	}

	/** 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	/** 所属企业编号 */
	protected String enterpriseId = "";

	/** 所属企业编号 */
	public String getEnterpriseId() {
		return enterpriseId;
	}

	/** 所属企业编号 */
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	/** 申请者编号 */
	protected String userId = "";

	/** 申请者编号
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	/** 申请者编号
	 * @param userId
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/** 申请者姓名 */
	protected String userName = "";

	/** 申请者姓名 */
	public String getUserName() {
		return userName;
	}

	/** 申请者姓名 */
	public void setUserName(String userName) {
		this.userName = userName;
	}

	/** 申请人手机 */
	protected String userPhone = "";

	/** 申请人手机
	 * @return
	 */
	public String getUserPhone() {
		return userPhone;
	}

	/** 申请人手机
	 * @param userPhone
	 */
	public void setUserPhone(String userPhone) {
		this.userPhone = userPhone;
	}

	/** 审核者姓名 */
	protected String auditName = "";

	/** 审核者姓名
	 * @return
	 */
	public String getAuditName() {
		return auditName;
	}

	/** 审核者姓名
	 * @param auditName
	 */
	public void setAuditName(String auditName) {
		this.auditName = auditName;
	}

	/** 审核者手机 */
	protected String auditPhone = "";

	/** 审核者手机
	 * @return
	 */
	public String getAuditPhone() {
		return auditPhone;
	}

	/** 审核者手机
	 * @param auditPhone
	 */
	public void setAuditPhone(String auditPhone) {
		this.auditPhone = auditPhone;
	}

	/** 申请时长 */
	protected Integer riskDuration = 1;

	/** 申请时长
	 * @return
	 */
	public Integer getRiskDuration() {
		return riskDuration;
	}

	/** 申请时长
	 * @param riskDuration
	 */
	public void setRiskDuration(Integer riskDuration) {
		this.riskDuration = riskDuration;
	}



}
