package com.gic.cloud.data.hook.service;

import com.gic.cloud.data.hook.api.dto.QueryDataType;

public class ServiceUtils {

	/** 构建新的报告编号
	 * @param queryDataType
	 * @param previousCount
	 * @return
	 */
	public static String buildReportId(Integer queryDataType, Integer previousCount) {
		String prefix = queryDataType == QueryDataType.FULL ? "DHW" : "DHT";
		Integer reportNumber = previousCount + 1;
		if (reportNumber < 10) {
			return prefix + "0000000" + reportNumber;
		} else if (reportNumber < 100) {
			return prefix + "000000" + reportNumber;
		} else if (reportNumber < 1000) {
			return prefix + "00000" + reportNumber;
		} else if (reportNumber < 10000) {
			return prefix + "0000" + reportNumber;
		} else if (reportNumber < 100000) {
			return prefix + "000" + reportNumber;
		} else if (reportNumber < 1000000) {
			return prefix + "00" + reportNumber;
		} else if (reportNumber < 10000000) {
			return prefix + "0" + reportNumber;
		} else return prefix + reportNumber;
	}


}
